aldweb

Fermer I. aldweb

Fermer II. Gratuitiels PC

Fermer III. Gratuitiels Palm

Fermer IV. Partagiciels Palm

Fermer V. iziBasic Palm

Fermer VI. Connaissance Palm

Fermer VII. Ordinateur Poche

Fermer VIII. miniPortail

Recherche




Newsletter
Pour avoir des nouvelles de ce site, inscrivez-vous à notre Newsletter.
S'abonner
Se désabonner
294 Abonnés
Webmaster - Infos
Visites

   visiteurs

   visiteurs en ligne

Pagerank

Pub Google
news.gifNews Amis - GuppY CMS

GuppY CMS Portail WEB php gratuit sans BDD


GuppY: the easy and free web portal that requires no database to run


(08/01/2019 @ 15:29)
Sortie de GuppY 5.02.08 - par GuppY_Team le 15/12/2018 @ 15:05  Voir?

GuppY : Pack GuppY 5.02.08, patchs cumulatif et non-cumulatif

gylogo.png


Ce pack est la 106ème version de GuppY
 

Nous vous proposons le patch 5.02.08 avec des ajouts, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum

ATTENTION:
Pour passer de la version 5.02.06 ou de la version 5.02.07 à la version 5.02.08, c'est le patch gy-non-cumulative-50208 que vous devez utiliser,


- correction du message pour l'enregistrement de nouveaux membres
- correction des liens RGPD
- ajout du décalage du centre sous la ligne TOP
- correction pour la conservation des contenus en admin
- correction de la réécriture d'adresses
- déplacement de la saisie du nombre de connexions dans Préférences
- augmentation du délai de contrôle du mot de passe de connexion
- correction de l'affichage en cas d'erreur de demande de mot de passe
- correction du lien de retour à l'envoi d'une nouvelle
- effacement du fichier temporaire des destinataires des nouvelles
- ajout de la sélection des groupes de membres du menu icônes
- correction de la suppression d'un collaborateur dans la protection admin
- correction de la suppression d'un membre en admin et dans Mon compte
- ajout de la sélection d'un groupe pour la liste des membres
- ajout des liens pour la bandeau RGPD dans funcrss.php
- ajout du reply-to dans la fonction eMailHtmlTo() pour la supervision et Contact
- correction du contrôle d'intégrité des entrées RSS
- amélioration du chemin de .htpasswd pour la protection admin
- amélioration de l'affichage du captcha
- bouton d'ajout de nouveaux membres toujours visible
- ajout de la sélection des groupes de membres des boites
- indication des accès aux groupes dans les listes en admin
- fusion des étapes configuration et génération du style dans Config look
- amélioration de la génération des sitemaps
- mise à jour automatique des sitemaps
- amélioration de l'enregistrement de Config boîtes et Config accueil
- ajout des inscriptions multiples dans Gestion des membres
- ajout des boutons Se connecter et Devenir membre pour les services en zone membre
- ajout du paramètre Cacher la barre de smileys de l'éditeur public
- mise en conformité W3C

- programmation orienté objet du forum
- ajout de la boîte Archives du blog dans la liste des choix en admin
- indépendance des colonnes latérales du blog
- modifications pour l'activation des pages secondaires

 

ATTENTION VOUS DEVEZ APPLIQUER LES TROIS PATCHS CI-DESSOUS :

1 - Le patch CKEditor 4.11.1 en téléchargement dans la rubrique Télécharger, puis à installer en admin avec la fonction Installer,

2 - Le patch Addons for GuppY 502XX en téléchargement dans la rubrique Télécharger, puis à installer en admin avec la fonction Installer. Ce patch contient tous les addons nécessaires à GuppY 5.02.xx.

3 - Le patch non cumulatif GuppY 5.02.08 en téléchargement dans la rubrique Télécharger, puis à installer en admin avec la fonction Installer.

Si vous avez déjà appliqué le patch CKEditor, le patch addons, il est inutile de les appliquer à nouveau.

Pour passer de la version 5.02.06 ou de la version 5.02.07 à la version 5.02.08, c'est le patch gy-non-cumulative-50208 que vous devez utiliser, en suivant cette procédure :

  • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
  • valider les pages de configuration habituelles
  • supprimer les cookies, vider le cache web de votre navigateur, voire le redémarrer si nécessaire.

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

  1. compléter la configuration des champs nouveaux dans Config look,
  2. enregistrer la config pour enregistrer vos modifications,
  3. cliquer sur "Enregistrer la config" pour mettre à jour votre skin compatible Config look, la génération du style.css se fera automatiquement,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.
     

Important :
Maintenant vous devez impérativement aller en Admin/Configuration Générale, cliquer sur Clé de Sécurité et Générer une nouvelle clé de sécurité puis Enregistrer la config. Vous serez déconnecté comme membre, vous devez vous reconnecter en mettant votre pseudo et votre mot de passe.
 

Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.
 

Merci à Saxbar et à tous les participants à ce patch

La GuppY Team

... / ... Lire la suite

(15/12/2018 @ 15:05)
Sortie de GuppY 5.02.07 - par GuppY_Team le 06/12/2018 @ 14:31  Voir?

GuppY : Pack GuppY 5.02.07, patchs cumulatif et non-cumulatif

gylogo.png


Ce pack est la 105ème version de GuppY
 

Nous vous proposons le patch 5.02.07 avec des ajouts, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum

- correction du message pour l'enregistrement de nouveaux membres
- correction des liens RGPD
- ajout du décalage du centre sous la ligne TOP
- correction pour la conservation des contenus en admin
- correction de la réécriture d'adresses
- déplacement de la saisie du nombre de connexions dans Préférences
- augmentation du délai de contrôle du mot de passe de connexion
- correction de l'affichage en cas d'erreur de demande de mot de passe
- correction du lien de retour à l'envoi d'une nouvelle
- effacement du fichier temporaire des destinataires des nouvelles
- ajout de la sélection des groupes de membres du menu icônes
- correction de la suppression d'un collaborateur dans la protection admin
- correction de la suppression d'un membre en admin et dans Mon compte
- ajout de la sélection d'un groupe pour la liste des membres
- ajout des liens pour la bandeau RGPD dans funcrss.php
- ajout du reply-to dans la fonction eMailHtmlTo() pour la supervision et Contact
- correction du contrôle d'intégrité des entrées RSS
- amélioration du chemin de .htpasswd pour la protection admin
- amélioration de l'affichage du captcha
- bouton d'ajout de nouveaux membres toujours visible
- ajout de la sélection des groupes de membres des boites
- indication des accès aux groupes dans les listes en admin
- fusion des étapes configuration et génération du style dans Config look
- amélioration de la génération des sitemaps
- mise à jour automatique des sitemaps
- amélioration de l'enregistrement de Config boîtes et Config accueil
- ajout des inscriptions multiples dans Gestion des membres
- ajout des boutons Se connecter et Devenir membre pour les services en zone membre
- ajout du paramètre Cacher la barre de smileys de l'éditeur public
- mise en conformité W3C

ATTENTION VOUS DEVEZ APPLIQUER LES TROIS PATCHS CI-DESSOUS :

1 - Le patch CKEditor 4.11.1 en téléchargement dans la rubrique Télécharger, puis à installer en admin avec la fonction Installer,

2 - Le patch Addons for GuppY 502XX en téléchargement dans la rubrique Télécharger, puis à installer en admin avec la fonction Installer. Ce patch contient tous les addons nécessaires à GuppY 5.02.xx.

3 - Le patch non cumulatif GuppY 5.02.07 en téléchargement dans la rubrique Télécharger, puis à installer en admin avec la fonction Installer.

Pour passer de la version 5.02.06 à la version 5.02.07, c'est le patch gy-non-cumulative-50207 que vous devez utiliser, en suivant cette procédure :

  • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
  • valider les pages de configuration habituelles
  • supprimer les cookies, vider le cache web de votre navigateur, voire le redémarrer si nécessaire.

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

  1. compléter la configuration des champs nouveaux dans Config look,
  2. enregistrer la config pour enregistrer vos modifications,
  3. cliquer sur "Enregistrer la config" pour mettre à jour votre skin compatible Config look, la génération du style.css se fera automatiquement,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.
     

Important :
Maintenant vous devez impérativement aller en Admin/Configuration Générale, cliquer sur Clé de Sécurité et Générer une nouvelle clé de sécurité puis Enregistrer la config. Vous serez déconnecté comme membre, vous devez vous reconnecter en mettant votre pseudo et votre mot de passe.
 

Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.
 

Merci à Saxbar et à tous les participants à ce patch

La GuppY Team

... / ... Lire la suite

(06/12/2018 @ 14:31)
Sortie de GuppY 5.02.06 - par GuppY_Team le 03/07/2018 @ 14:52  Voir?

GuppY : Pack GuppY 5.02.06, patchs cumulatif et non-cumulatifgylogo.png
 

Ce pack est la 104ème version de GuppY
 

Nous vous proposons le patch 5.02.06 avec des ajouts, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum

- protection des cookies
- amélioration des accès admin
- correction et amélioration de l'affichage des captchas
- choix d'envoi au webmestre dans le formulaire contact
- correction de l'affichage des dates et auteurs des nouvelles
- correction de la gestion des membres dans la protection admin
- correction du contrôle du mot de passe pour les nouveaux membres
- correction de l'affichage des événements dans les nouveautés du site
- mise en place du RGPD dans les formulaires
- mise en place de l'acceptation des cookies

- correction de la lecture des documents importés
- correction du retour automatique après l'envoi de message
- mise à jour de MobileDetect en version 2.8.32
- amélioration du système de rotations des skins
- correction de la mise à jour des titres des billets du blog
- correction de la liste des catégories actives du forum
- correction du tri des listes en admin sur la colonne Date de modification
 

ATTENTION :

Pour passer de la version 5.02.05 à la version 5.02.06, c'est le patch gy-non-cumulative-50206 que vous devez utiliser, en suivant cette procédure :

  • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
  • valider les pages de configuration habituelles
  • supprimer les cookies, vider le cache web de votre navigateur, voire le redémarrer si nécessaire.

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

  1. compléter la configuration des champs nouveaux dans Config look,
  2. enregistrer la config pour enregistrer vos modifications,
  3. cliquer sur "Générer Style" pour mettre à jour votre skin compatible Config look,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.

Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.


POUR LA SECURITE DE VOTRE SITE et pour être en conformité avec le RGPD, n
ous recommandons vivement :

  • la lecture du tutoriel " Mise en conformité RGPD et politique de confidentialité" que vous trouverez sur ce lien et son application sur votre site,
  • la mise en place d'une page "Mentions légales et politique de confidentialité" pour votre site. Vous trouverez un modèle sur ce lien.

Merci à Saxbar et à tous les participants à ce patch

La GuppY Team

... / ... Lire la suite

(03/07/2018 @ 14:52)
Sortie de GuppY 5.02.05 - par GuppY_Team le 24/04/2018 @ 15:46  Voir?

GuppY : Pack GuppY 5.02.05, patchs cumulatif et non-cumulatifgylogo.png
 

Ce pack est la 103ème version de GuppY
 

Nous vous proposons le patch 5.02.05 avec des ajouts, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum

- mise à jour des scripts jQuery
- protection contre l'accès aux comptes
- suppression de la gestion des sessions
- simplification de l'accès admin

ATTENTION :

Deux patchs sont nécessaires pour rester dans la limite des 2Mo imposés par certains hébergeurs :

En premier avec la fonction Installer, vous mettez à jour CKEditor avec le patch-CKEditor-v492, disponible dans la rubrique Télécharger puis GuppY.
A installer impérativement, cette version est un patch de sécurité !!!

Pour passer de la version 5.02.04 à la version 5.02.05, c'est le patch gy-non-cumulative-50205 que vous devez utiliser, en suivant cette procédure :

  • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
  • valider les pages de configuration habituelles
  • supprimer les cookies, vider le cache web de votre navigateur, voire le redémarrer si nécessaire.

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

  1. compléter la configuration des champs nouveaux dans Config look,
  2. enregistrer la config pour enregistrer vos modifications,
  3. cliquer sur "Générer Style" pour mettre à jour votre skin compatible Config look,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.

Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.


POUR LA SECURITE DE VOTRE SITE:

Nous recommandons vivement :

  • l'utilisation du protocole sécurisé https, vos connexions sur votre site, celle de vos visiteurs seront entièrement cryptées et sécurisées,
  • la mise en place d'une protection admin pour l'administrateur principal, pour l'administrateur secondaire, pour chaque collaborateur ayant accès à l'administration du site (voir Admin/Généralités/Protection Admin)

Merci à Saxbar et à tous les participants à ce patch

La GuppY Team

... / ... Lire la suite

(24/04/2018 @ 15:46)
Sortie de GuppY 5.02.04 - par Guppy_Team le 29/03/2018 @ 16:22  Voir?

GuppY : Pack GuppY 5.02.04, patchs cumulatif et non-cumulatifgylogo.png
 

Ce pack est la 102ème version de GuppY
 

Nous vous proposons le patch 5.02.04 avec des ajouts, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum

- amélioration de l'autorisation des images dans l'éditeur public
- suppression de la définition WYSIWYG dans thread.php
- amélioration du traitement des captchas
- amélioration des enregistrements des formulaires admin en php 7
- suggestion des chmods dans Config générale
- corrections des couleurs de fond et texte des diaporamas texte
- gestion des sessions sur le site pour éviter les déconnexions intempestives
- suppression du captcha dans les formulaire de connexion
 

ATTENTION :

Deux patchs sont nécessaires pour rester dans la limite des 2Mo imposés par certains hébergeurs :

En premier avec la fonction Installer, vous mettez à jour CKEditor avec le patch-CKEditor-v490, disponible dans la rubrique Télécharger puis GuppY.

Ensuite, pour passer de la version 5.02.03 à la version 5.02.04, c'est le patch gy-non-cumulative-50204 que vous devez utiliser, en suivant cette procédure :

  • télécharger le patch et installer en admin avec la fonction Installer de GuppY,
  • valider les pages de configuration habituelles

Après l'installation vous devez aller en admin/config look et procéder dans cet ordre :

  1. compléter la configuration des champs nouveaux dans Config look,
  2. enregistrer la config pour enregistrer vos modifications,
  3. cliquer sur "Générer Style" pour mettre à jour votre skin compatible Config look,  ensuite plusieurs rafraîchissements de l'affichage d'une page peuvent être nécessaires pour avoir un affichage correct.

Comme pour tous les patchs, il est conseillé de revalider toutes les pages de config en admin.
 

Merci à Saxbar et à tous les participants à ce patch

La GuppY Team

... / ... Lire la suite

(29/03/2018 @ 16:22)
Sortie de GuppY 5.02.03 - par Guppy_Team le 01/02/2018 @ 16:18  Voir?

GuppY : Pack GuppY 5.02.03, patchs cumulatif et non-cumulatifgylogo.png
 

Ce pack est la 101ème version de GuppY
 

Nous vous proposons le patch 5.02.03 avec des ajouts, des améliorations, des corrections.
 

Pré-requis : PHP 5.6 minimum

- rotation des skins par date
- évaluation du mot de passe à la création/modification
- mise à jour des fichiers avec droits d'accès restreints
- contrôle de la saisie des administrateurs (principal et secondaire)
- ajout des collaborateurs dans la protection admin, méthode classique seulement
- amélioration du lien courriel expéditeur dans contact.php
- correction de la création d'une page secondaire avec php 7.1.x
- modification de la gestion du délai d'expiration de la connexion
- synchronisation des mots de passe dans les fichiers concernés
- protection de l'admin principal dans la gestion des membres
- amélioration de la gestion de la déconnexion membre
- choix de la gestion des connexions membres session / cookie
- correction des liens "Devenir membre"
- mise à jour Mobile_Detect v2.8.30
- correction de la suppression d'un abonné à la lettre d'information (merci Laroche)
 

ATTENTION :

Pour passer de la version 5.02.02 à la version 5.02.03, c'est le patch gy-non-cumulative-50203 que vous devez utiliser, en suivant cette procédure :

   

... / ... Lire la suite

(01/02/2018 @ 16:18)
Appel à cotisation pour l  Voir?


 Cher(e)s ami(e)s,

En ce début d

(05/01/2018 @ 17:50)
GuppY 5.02.02 : 100ème version de GuppY - par Guppy_Team le 18/12/2017 @ 16:40  Voir?

GuppY : Pack GuppY 5.02.02, patchs cumulatif et non-cumulatifgylogo.png


 

Ce pack est la 100ème version de GuppY


 

Et cette sortie précède de quelques jours les 15 ans de GuppY, la première version de miniPortail est sortie le 30 décembre 2002 avant de se nommer GuppY le 24 septembre 2003.

Merci à aldweb son créateur, merci à tous les participants à l'aventure GuppY.
 

Pour cette 100ème version, nous avons le plaisir de vous proposer, en plus des ajouts, des améliorations, des corrections, deux nouveautés importantes:

 - l'intégration du plugin jQuery Unite-Gallery y compris la partie administration,
 - l'intégration du plugin jQuery Liquid Slider y compris la partie administration.


Pré-requis : PHP 5.4 minimum

- correction de l'affichage du panneau des commandes en admin
- correction de l'affichage du bas de page en admin
- mise en maintenance du site limitée aux administrateurs
- prise en compte de l'admin secondaire dans les modules
- correction des droits d'accès au panneau d'administration dans Config services
- correction des adresses de menus dynamiques (merci Papinou)
- suppression du cookie GuppYUser5
- prise en compte de caractères spéciaux dans les mots de passe
- amélioration de la protection admin
- amélioration de la suppression totale d'un membre
- correction de l'emplacement du compteur de vues des photoramas (merci Papinou)
- ajout et intégration du diaporama images et vidéos Unite Gallery
- ajout et intégration du diaporama texte LiquidSlider

ATTENTION : AVANT DE PATCHER

Vous devez obligatoirement être inscrit comme membre de votre site et pour l

... / ... Lire la suite

(18/12/2017 @ 16:40)
Sortie de GuppY 5.02.01 - Mise à jour de sécurité - par Guppy_Team le 30/08/2017 @ 14:25  Voir?

logo.png
GuppY : Pack GuppY 5.02.01, patchs cumulatif et non-cumulatif - Mise à jour de sécurité.

 

Ce pack est la 99ème version de GuppY
 

Nous vous proposons le patch 5.02.01 avec des ajouts, des améliorations, des corrections et la correction d'une faille critique.
Merci à jchouix pour la découverte et le signalement de cette faille.


Attention, toutes les versions de GuppY sont concernées, sans exception, par cette faille critique.
Vous devez installer IMPERATIVEMENT et IMMEDIATEMENT ce patch 5.02.01 pour la sécurité de votre site.

 

Pré-requis : PHP 5.4 minimum

- choix des skins CKEditor public
- paramétrage des couleurs et taille des caractères de CKEditor public
- correction de la fonction getNewUpdateDoc()
- ajout de l'autorisation des réactions par article
- correction du contrôle de mot de passe admin
- indépendance de la partie admin
- rationalisation des fichiers de langue
- correction de l'inclusion de la classe phpmailer
- mise à jour de PhpMailer en version 5.2.23
- mise à jour de Mobile_detect en version 2.8.25
- contrôle de l'activation du formulaire Contact
- correction de l'activation du blocage d'une ligne TOP
- amélioration du contrôle de validité des courriels (merci jchouix)
- amélioration du filtrage de CKEditor public
- amélioration du paramétrage des cookies
- correction du lien archives des nouvelles (merci Laroche)
- ajout du choix des formats de date pour les deux langues
- ajout d'une règle css individuelle à chaque jour du calendrier
- correction de l'enregistrement des plugins
- ajout d'une fonction d'initialisation des galeries photos
- correction de la comparaison de version pour la mise à jour
- amélioration de Config look
- modification des droits d'accès à l'admin
- correction d'une faille critique
 

ATTENTION :

Deux patchs sont nécessaires pour rester dans la limite des 2Mo imposés par certains hébergeurs :

En premier avec la fonction Installer, vous mettez à jour CKEditor avec le patch-CKEditor-v472, disponible dans la rubrique Télécharger puis GuppY.

Pour passer de la version 5.02.00-1 à la version 5.02.01, c'est le patch gy-non-cumulative-50201 que vous devez utiliser, en suivant cette procédure :
   

... / ... Lire la suite

(30/08/2017 @ 14:25)

Dernière mise à jour : 21/01/2019 @ 15:26

 
Spécial !



Version mobile
de l'aldweb Site

m.aldweb.com


Ni Français, ni Anglais ?

Essayez donc l'un de ces drapeaux :
[de] [es] [it] [pt]
Géolocalisation
Météo / Spam / www

Météo Lyon


aldweb contre le SPAM


Sites web de la famille

Sondage
Comment trouve-tu le nouvel habillage de l'aldweb Site ?
 
Superbe !
Joli
Moyen
Moche...
Résultats
News Amis
^ Haut ^